detail::object_handler Struct Reference

`#include <attr.hpp>`

Inheritance diagram for detail::object_handler:
[legend]
Collaboration diagram for detail::object_handler:
[legend]

## Static Public Member Functions

template<typename TDummy >
static void | set_value (osmium::OSMObject &, const TDummy &) noexcept
static void | set_value (osmium::OSMObject &object, attr::_id id) noexcept
static void | set_value (osmium::OSMObject &object, attr::_version version) noexcept
static void | set_value (osmium::OSMObject &object, attr::_visible visible) noexcept
static void | set_value (osmium::OSMObject &object, attr::_deleted deleted) noexcept
static void | set_value (osmium::OSMObject &object, attr::_timestamp timestamp) noexcept
static void | set_value (osmium::OSMObject &object, attr::_cid changeset) noexcept
static void | set_value (osmium::OSMObject &object, attr::_uid uid) noexcept

## Member Function Documentation

template<typename TDummy >

static void detail::object_handler::set_value | ( | osmium::OSMObject & | ,
|  | const TDummy & |
| ) |  |

inline static noexcept

static void detail::object_handler::set_value | ( | osmium::OSMObject & | object,
|  | attr::_id | id
| ) |  |

inline static noexcept

static void detail::object_handler::set_value | ( | osmium::OSMObject & | object,
|  | attr::_version | version
| ) |  |

inline static noexcept

static void detail::object_handler::set_value | ( | osmium::OSMObject & | object,
|  | attr::_visible | visible
| ) |  |

inline static noexcept

static void detail::object_handler::set_value | ( | osmium::OSMObject & | object,
|  | attr::_deleted | deleted
| ) |  |

inline static noexcept

static void detail::object_handler::set_value | ( | osmium::OSMObject & | object,
|  | attr::_timestamp | timestamp
| ) |  |

inline static noexcept

static void detail::object_handler::set_value | ( | osmium::OSMObject & | object,
|  | attr::_cid | changeset
| ) |  |

inline static noexcept

static void detail::object_handler::set_value | ( | osmium::OSMObject & | object,
|  | attr::_uid | uid
| ) |  |

inline static noexcept

The documentation for this struct was generated from the following file:

- osmium/builder/attr.hpp